# MPK.Puzzle
MPK Projekt Puzzle Solver

# Git intro
0, read github tutorial

1, Clone repository

2, branch master into a team branch

3, work only in this branch

4, don't ever touch the master.

Seriously. don't merge branch to master unless you are absolutely, 100% sure it works and you have discussed it with pm.


# Current Todo
Git for Puzzle solving project

1, Input:

-Puzzle Bilder in richtige Orientierung bringen

-Puzzle Bilder informaion rein raus oder kante extrahieren

-Schnittstelle zwischen Input und Solver definieren

2, Solver

-Grundsätzliche Aufbauweise

-Puzzle nach bekommenen Informationen der Input Gruppe lösen -soweit dies möglich ist-

3, Output

-Transparenz der Bilder einstellen

-visuelle Darstellung des outputs von Solver

-Schnittstelle zwischen Solver und Output definieren
